guvcview (2.2.1-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:54:28 +0000

guvcview (2.2.1-1) unstable; urgency=medium

  * New upastream release.
  * d/control:
    - Add cmake to B-D.
  * d/rules:
    - Change to cmake.
  * d/patches:
    - Add 0001-Change-the-path-to-install-pkgconfig-file.patch.
    - Add 0002-Add-support-build-static-library.patch.
    - Add 0003-data-guvcview.desktop.in-Remove-unnecessary-keys.patch.
    - Add 0004-data-CMakeLists.txt-Fix-install-path-for-AppStream-m.patch.
    - Add 0005-data-guvcview.appdata.xml.in-Fix-format.patch.
  * d/copyright:
    - Remove superfluous file pattern.
    - Update copyright year.
  * Update libguvcview-2.2.lintian-overrides

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Mar 2025 00:22:22 +0900

guvcview (2.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable.

 -- Soren Stoutner <soren@debian.org>  Fri, 20 Sep 2024 07:16:28 -0700

guvcview (2.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upastream version, 2.1.0. (Closes: #1072421)
  * Shared object bump to 2.2.
  * 'd/copyright': Add myself, Phil Wyett to 'Files: debian/*' section.
  * 'd/control':
    - Remove 't64' transition.
    - Update 'Standards-Version' to 4.7.0, no changes required.
    - Use HTTPS for 'Homepage'.
    - Update 'Breaks' and 'Replaces'.
  * 'd/rules':
    - Add DH_VERBOSE but leave disabled.
    - Add hardening 'all' to build.
  * Add 'd/watch' file.
  * Remove 'd/patches' and contents.
  * Remove legacy 'd/README.Debian'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 12 Sep 2024 10:45:32 +0100

guvcview (2.0.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062197

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 09:22:42 +0000

guvcview (2.0.8-2) unstable; urgency=medium

  * d/control: Add Breaks and Replaces to libguvcview-2.1-2 (Closes: #1014841)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 22 Jul 2022 15:50:15 +0900

guvcview (2.0.8-1) unstable; urgency=medium

  * New upstream release. (Closes: #1004630)
  * Drop d/patches/update-appdata-to-new-format.
  * d/rules:
    - Fix path of guvcview.appdata.xml.
  * d/control:
    - Update package name with soname.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Jul 2022 17:57:55 +0900

guvcview (2.0.7-2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1003148)
  * Update d/copyright
    - Remove the object deleted from the source.
  * Update d/libguvcview-2.0-2.lintian-overrides

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Jan 2022 13:03:26 +0900

guvcview (2.0.6+debian-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository.
  * Make "Files: *" paragraph the first in the copyright file.
  * Update standards version to 4.6.0, no changes needed.

  [ Nobuhiro Iwamatsu ]
  * Update d/upstream/metadata.
    - Add Name, Repository-Browse Bug-Submit and Contact.
  * Update d/control.
    - Bump debhelper-compat version to 13.
    - Add 'Rules-Requires-Root: no'.
  * Update d/copyright.
  * Update d/rules.
    - Add '--exclude=.la' to dh.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Jan 2022 08:46:10 +0900

guvcview (2.0.6+debian-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
    - Get rid of insecure-copyright-format-uri.
  * Update d/control.
    - Update Vcs-Git and Vcs-Browser.
    - Bump Standards-Version to 4.3.0.
    - Update debhelper to 11.
    - Remove autotools-dev from B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Jan 2019 10:38:24 +0900

guvcview (2.0.5+debian-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix FTBFS with ffmpeg 4.0. Thanks to James Cowgill for the
    patch. (Closes: #888329)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Jul 2018 20:09:48 +0200

guvcview (2.0.5+debian-1) unstable; urgency=medium

  * New upstream release. (Closes: #881324, #791603, #774092)
  * Delete debian/menu. Obsolete.
  * Fix appstream metadata legacy format and location.
    - Update debian/rules.
    - Add debian/patches/update-appdata-to-new-format.
  * Update Standards-Version to 4.1.1
  * Change Priority to optional
  * Remove patches/ffmpeg3.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 17 Nov 2017 09:31:40 +0900

guvcview (2.0.4+debian-1) unstable; urgency=medium

  * New upstream release. (Closes: #808240)
  * Update debian/control.
    - Update Standards-Version to 3.9.8.
  * Update patch for ffmpeg.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Jun 2016 04:56:52 +0900

guvcview (2.0.2+debian-3) unstable; urgency=medium

  * Fix build with ffmpeg 2.9. (Closes: #803823)
    Thanks to Andreas Cadhalpun.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 17 Jan 2016 07:42:31 +0900

guvcview (2.0.2+debian-2) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #807205)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 08 Dec 2015 23:28:33 +0900

guvcview (2.0.2+debian-1) unstable; urgency=medium

  * New upstream release.
  * Add patches/update-manpage. (Closes: #779839)
  * Bump soname in control file and override file.
  * Update debian/rules.
    - Add GVIEWENCODER_CFLAGS="-D_FILE_OFFSET_BITS=64" to configure.
      (Closes: #778834)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 16 Aug 2015 06:25:17 +0900

guvcview (2.0.1+debian-1) unstable; urgency=medium

  * New upstream release. (Closes: #761388, #761230)
  * Update patches/remove_cppflags.patch.
  * Update debian/README.source.
  * Update debian/control.
    - Update Standards-Version to 3.9.6.
    - Update sdl library from libsdl1.2-dev to libsdl2-dev.
    - Add libgsl0-dev to Build-Depends..

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Oct 2014 23:25:55 +0900

guvcview (2.0.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Add patches/remove_cppflags.patch.
  * Add intltool.m4.patch.
    Fix 'guvcview source: source-contains-unsafe-symlink m4/intltool.m4'.
  * Remove patches/0001-fix-build-with-libav10.patch.
  * Remove patches/0001-Fix-Segmentation-fault-in-get_ctrl_by_id.patch.
  * Add libguvcview-1.0-1 and libguvcview-dev package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 17 Sep 2014 07:42:07 +0900

guvcview (1.7.3-2) unstable; urgency=medium

  * Add patches/0001-Fix-Segmentation-fault-in-get_ctrl_by_id.patch.
    Fix segmentation fault on startup. (Closes: #760187)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Sep 2014 02:06:49 +0900

guvcview (1.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0001-fix-build-with-libav10.patch: Update patch to build
    against libav 10. Thanks to Moritz Muehlenhoff. (Closes: #739323)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 May 2014 00:09:00 +0200

guvcview (1.7.3-1) unstable; urgency=low

  * New upstream release. (Closes: #739049)
  * Update debian/control.
    - Update Standards-Version to 3.9.5.
    - Add libusb-1.0-0-dev to Build-Depends.
  * Fix build with libav10. (Closes: #739323)
    Add patches/0001-fix-build-with-libav10.patch.
    Thanks to Moritz Muehlenhoff and anton@khirnov.net.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 25 Mar 2014 07:56:34 +0900

guvcview (1.7.1-1) unstable; urgency=low

  * New upstream release. (Closes: #712397)
  * Update debian/control.
    - Update Vcs-Git and Vcs-Browser field
  * Remove patches/fix_typo. This was applied to upstream.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 18 Sep 2013 12:59:47 +0900

guvcview (1.7.0-1) unstable; urgency=low

  * New upstream release. (Closes: #677123, #686649, #687440, #704295)
  * Update debian/control.
    - Bumped standards-version to 3.9.4.
  * Change source format to 3.0 (quilt).
  * Fix typo in manpage.
    Add debian/patches/fix_typo.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 May 2013 14:32:02 +0900

guvcview (1.6.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Update to debhelper 9.
    - Bumped standards-version to 3.9.3.
    - Add Vcs-Git field and Vcs-Browser field.
    - Add intltool to Build-Depends.
  * Update debian/compat.
    Bumped to 9.
  * Update debian/copyight.
    Update to copyright-format 1.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 Aug 2012 06:25:47 +0900

guvcview (1.5.3-1) unstable; urgency=low

  * New upstream release (Closes: #644733).
  * Update debian/control.
    - Update Build-depends from libpng12-dev to libpng-dev only.
      (Closes: #662368)
    - Update Homepage field. (Closes: #662297)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 05 Mar 2012 12:05:09 +0900

guvcview (1.5.0-1) unstable; urgency=low

  * New upstream release. (Closes: #638323)
  * Update debian/control.
    - Update Architecture from any to linux-any.
    - Add libpng-dev to Build-Depends. This needs to libpng transition.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 22 Aug 2011 12:28:10 +0900

guvcview (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Bumped standards-version to 3.9.2.
      No changes needed.
    - Add libudev-dev to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 14 Jul 2011 13:34:16 +0900

guvcview (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Bumped standards-version to 3.9.0.
      No changes needed.
    - Remove quilt from Build-depends.
    - Add uvcdynctrl to Recommends.
  * Remove debian/patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Jul 2010 09:43:27 +0900

guvcview (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/control.
    - Add quilt (>= 0.46-7~).
  * Add debian/source/format.
    Set source format to "1.0".

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 20 Apr 2010 05:52:30 +0900

guvcview (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Bumped standards-version to 3.8.4. No changes needed.
    - Add libv4l-dev to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 08 Mar 2010 00:41:09 +0900

guvcview (1.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #564301).
  * Change from cdbs to debhelper.
  * Change patch control tool from dpatch to quilt.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 10 Jan 2010 08:50:22 +0900

guvcview (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Change e-mail address.
  * Remove DM-Upload-Allowed field.
  * Update Standards-Version.
  * Add README.source file.
  * Update 01_update_man.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Sep 2009 19:43:43 +0900

guvcview (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version. (Closes: #535303)
  * Add "DM-Upload-Allowed: yes" to debian/control.
  * Add 01_update_man.dpatch
  * Remove some patch, because applied in upstream.
      01_null_check_and_file_clean.dpatch
      02_uyvy_draw_size.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Fri, 24 Jul 2009 19:18:02 +0900

guvcview (1.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #518061)
  * Add libtwolame-dev to Build-Depends.
  * Remove UYVY dpatch.
  * Add new patch of NULL check.
        01_null_check_and_file_clean.dpatch
  * Add new patch of fix draw size.
        02_uyvy_draw_size.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Tue, 31 Mar 2009 23:18:15 +0900

guvcview (0.9.3-1) unstable; urgency=low

  * Initial release (Closes: #493533)
  * Add support UYVY color

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Sun, 14 Sep 2008 01:09:51 +0900
